# $Revision: 1.66.2.27 $, $Date: 2008/07/03 09:37:16 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_with	verbose		# verbose build (V=1)
%bcond_without	userspace	# don't build userspace tools

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		67
%define		pname	shfs
Summary:	(Secure) SHell FileSystem utilities
Summary(pl.UTF-8):	Narzędzia obsługujące system plików przez ssh
Name:		%{pname}%{_alt_kernel}
Version:	0.35
Release:	%{rel}
License:	GPL v2
Group:		Applications/System
Source0:	http://dl.sourceforge.net/shfs/%{pname}-%{version}.tar.gz
# Source0-md5:	016f49d71bc32eee2b5d11fc1600cfbe
Patch0:		%{pname}-opt.patch
Patch1:		%{pname}-df.patch
Patch2:		%{pname}-space_chars.patch
Patch3:		%{pname}-uidgid32.patch
Patch4:		%{pname}-gcc4.patch
Patch5:		%{pname}-inode_oops.patch
Patch6:		%{pname}-d_entry.patch
Patch7:		%{pname}-shfs_get_sb.patch
Patch8:		%{pname}-2.6.19.patch
Patch9:		%{pname}-kmem_cache.patch
URL:		http://shfs.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.452
%endif
Obsoletes:	shfsmount
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SHFS is a simple and easy to use Linux kernel 2.4.10+ and 2.6 module
which allows you to mount remote filesystems using plain shell
(ssh/rsh) connection. It supports some nice features like number of
different caches for access speedup, target system optimisations, etc.

This package contains utilities for SHFS.

%description -l pl.UTF-8
SHFS to prosty i łatwy w użyciu moduł jądra Linuksa 2.4.10+ i 2.6
pozwalający montować zdalne systemy plików przy użyciu zwykłego
połączenia ze zdalną powłoką (ssh lub rsh). Obsługuje pewne miłe
cechy, takie jak różne sposoby buforowania dla przyspieszenia dostępu,
optymalizacje pod kątem zdalnego systemu itp.

Ten pakiet zawiera programy narzędziowe dla SHFS.

%package -n kernel%{_alt_kernel}-fs-shfs
Summary:	SHell File System Linux kernel module
Summary(pl.UTF-8):	Moduł jądra Linuksa obsługujący powłokowy system plików
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
%if "%{_alt_kernel}" == "%{nil}"
Obsoletes:	kernel-misc-shfs
%endif
Obsoletes:	kernel%{_alt_kernel}-smp-fs-shfs

%description -n kernel%{_alt_kernel}-fs-shfs
SHell File System Linux kernel module.

%description -n kernel%{_alt_kernel}-fs-shfs -l pl.UTF-8
Moduł jądra Linuksa obsługujący powłokowy system plików.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

cat > shfs/Linux-2.6/Makefile <<'EOF'
obj-m := shfs.o
shfs-objs := dcache.o dir.o fcache.o file.o inode.o \
		ioctl.o proc.o shell.o symlink.o
EOF

%build
%if %{with kernel}
%build_kernel_modules -C shfs/Linux-2.6 -m shfs
%endif

%if %{with userspace}
%{__make} -C shfsmount \
	SHFS_VERSION="\"%{version}\"" \
	CC="%{__cc} %{rpmcflags}" \
	LINKER="%{__cc}"	\
	LDFLAGS="%{rpmldflags}"
%{__make} docs
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m shfs/Linux-2.6/shfs -d kernel/fs/shfs
%endif

%if %{with userspace}
%{__make} utils-install docs-install \
	ROOT=$RPM_BUILD_ROOT \
	MAN_PAGE_DIR=%{_mandir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-fs-shfs
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-fs-shfs
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changelog TODO docs/html
%attr(4754,root,wheel) %{_bindir}/shfsmount
%attr(4754,root,wheel) %{_bindir}/shfsumount
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-fs-shfs
%defattr(644,root,root,755)
%dir /lib/modules/%{_kernel_ver}/kernel/fs/shfs
/lib/modules/%{_kernel_ver}/kernel/fs/shfs/shfs.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: shfs.spec,v $
Revision 1.66.2.27  2008/07/03 09:37:16  glen
- vermagic deps; rel 67

Revision 1.66.2.26  2008/07/03 09:35:32  glen
- obsolete smp kernel packages; rel 66

Revision 1.66.2.25  2008/07/03 09:32:30  glen
- merged from LINUX_2_6_22 branch for 2.6.22 kernel, old one in LINUX_2_6_16 branch

Revision 1.74.2.4  2008/07/02 15:22:19  glen
- drop userspace dep on kernel

Revision 1.74.2.3  2008-05-18 15:48:07  glen
- builds on sparc/smp

Revision 1.74.2.2  2008-05-18 15:45:44  glen
- EA instead of undefine smp for sparc

Revision 1.74.2.1  2008-05-18 15:23:54  glen
- for ac

Revision 1.74  2008-05-18 15:20:10  glen
- alt kernel support

Revision 1.73  2008-05-18 15:16:58  glen
- drop grsec_kernel bcond

Revision 1.72  2008-03-09 02:39:01  zbyniu
- patch for kmem_cache_t -> struct kmem_cache (prefered since 2.6.20, required by .24)

Revision 1.71  2007-04-12 15:17:26  shadzik
- proper kernel-module-build version

Revision 1.70  2007/03/28 22:57:55  zbyniu
- patch against kernels >=2.6.19
- bconds up, smp removed, package smp removed

Revision 1.69  2007/02/27 11:20:31  sparky
- without up bcond
- fixed %files for smp-only

Revision 1.68  2007/02/12 22:09:15  glen
- tabs in preamble

Revision 1.67  2007/02/12 01:06:32  baggins
- converted to UTF-8

Revision 1.66  2006/12/10 12:06:42  adamg
- fix build on kernels >= 2.6.18
- release 19

Revision 1.65  2006/12/08 12:59:50  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 18

Revision 1.64  2006/11/23 10:39:56  hawk
- release 17

Revision 1.63  2006/11/14 20:36:22  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.62  2006/11/12 21:19:50  sparky
- don't use cd shfs/Linux-2.6

Revision 1.61  2006/11/11 14:59:34  sparky
- %{_alt_kernel} support
- Require/Provide: kernel(shfs), not kernel-fs-shfs
- use %build_kernel_modules, %install_kernel_modules macros
